﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MainPage.aspx.cs" Inherits="TestProject.MainPage" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>RequiredFieldValidator 클래스를 사용해 필수 입력 여부 확인하기</title>
    </head>
    <body>
        <form id="form" runat="server">
            <div>
                ID : <asp:TextBox ID="idTextBox" runat="server" />
                <asp:RequiredFieldValidator ID="idRequiredFieldValidator" runat="server" 
                    ControlToValidate="idTextBox"
                    ErrorMessage="ID를 입력해 주시기 바랍니다."
                    Display="Dynamic">
                </asp:RequiredFieldValidator>
                (필수)
                <br />
                Password :
                <asp:TextBox ID="passwordTextBox" runat="server" 
                    TextMode="Password" />
                <asp:RequiredFieldValidator ID="passwordRequiredFieldValidator" runat="server" 
                    ControlToValidate="passwordTextBox"
                    Display="Dynamic"
                    ErrorMessage="패스워드를 입력해 주시기 바랍니다.">
                </asp:RequiredFieldValidator>
                (필수)
                <hr />
                <asp:LinkButton ID="loginButton" runat="server" 
                    Text="로그인"
                    OnClick="loginButton_Click" />
            </div>
        </form>
    </body>
</html>